#include "scene.h"
#include "linesegment.h"
#include "triangle.h"

Scene *scene;

#include <iostream>

using namespace std;


Scene::Scene() {

  gui = new GUI();
  gui->show();

  int u0 = 0;
  int v0 = 0;
  int w = 640;
  int h = 480;
  fb = new FrameBuffer(u0, v0, w, h);
  unsigned int colors[2] = {0xFFFFFFFF, 0xFF0000FF};
  int cw = 32;
  fb->SetChecker(cw, colors);
  fb->label("Frame Buffer");
  fb->show();

  gui->uiw->position(fb->w+20, 40);

}

void Scene::DBG() {


  FrameBuffer *im = new FrameBuffer;
  im->Load("images/image.tif");
  im->show();
  return;

  V3 black(0xFF000000);
  V3 red(0xFF0000FF);
  V3 yellow(0xFF00FFFF);

  FrameBuffer *edgeMap = 0;
  fb->EdgeMap(edgeMap);
  edgeMap->show();
  return;
  
  cerr << "INFO: released DBG button" << endl;
  fb->Set(0xFFFFFFFF);
  V3 V0(20.0f, 400.0f, 1.0f);
  V3 V1(520.0f, 440.0f, 1.0f);
  V3 V2(150.0f, 100.0f, 1.0f);
  Triangle tri(V0, V1, V2);
  tri.Rasterize(fb, 0xFF00AAFF);
//  tri.DrawWireframe(fb, 0xFF000000);
  fb->redraw();

}